NNG_HTTP_RES_ALLOC(3http)

NAME
nng_http_res_alloc - allocate HTTP response structure

SYNOPSIS

    #include <nng/nng.h>
    #include <nng/supplemental/http/http.h>
    int nng_http_res_alloc(nng_http_res **resp);

DESCRIPTION

The nng_http_res_alloc() function allocates a new HTTP response structure and stores a pointer to it in resp. The response will be initialized with status code 200 (NNG_HTTP_STATUS_OK), and a reason phrase of OK, and HTTP protocol version HTTP/1.1.

    Tip

    When an error response is needed, consider using nng_http_res_alloc_error() instead.

RETURN VALUES

This function returns 0 on success, and non-zero otherwise.

ERRORS

NNG_ENOMEM
    Insufficient free memory exists to allocate a message.

NNG_ENOTSUP
    HTTP support not configured.

SEE ALSO

nng_http_conn_read_res(3http), nng_http_conn_write_res(3http), nng_http_req_alloc(3http), nng_http_res_alloc_error(3http), nng_http_res_add_header(3http), nng_http_res_copy_data(3http), nng_http_res_del_header(3http), nng_http_res_free(3http), nng_http_res_get_header(3http), nng_http_res_get_reason(3http), nng_http_res_get_status(3http), nng_http_res_get_version(3http), nng_http_res_reset(3http), nng_http_res_set_data(3http), nng_http_res_set_reason(3http), nng_http_res_set_status(3http), nng_http_res_set_version(3http), nng_strerror(3), nng(7)